import React from "react";

import styles from "./FullComponentWrapper.module.css";

type FullComponentWrapperProps = {
  children: React.ReactNode;
  heading: string;
  body: string;
};

export default function FullComponentWrapper({
  heading,
  body,
  children,
}: FullComponentWrapperProps) {
  return (
    <div className={styles.wrapper}>
      <div className={styles.textWrapper}>
        <h3 className={styles.heading}>{heading}</h3>
        <p className={styles.body}>{body}</p>
      </div>
      <div className={styles.graphWrapper}>{children}</div>
    </div>
  );
}
