import React from "react";

import styles from "./SideComponentWrapper.module.css";

type ComponentWrapperProps = {
  children: React.ReactNode;
  heading: string;
  body: string;
  rightAligned?: boolean;
};

export default function SideComponentWrapper({
  heading,
  body,
  children,
  rightAligned = false,
}: ComponentWrapperProps) {
  return (
    <div className={rightAligned ? styles.wrapperRight : styles.wrapperLeft}>
      <div className={styles.textWrapper}>
        <h3 className={styles.heading}>{heading}</h3>
        <p className={styles.body}>{body}</p>
      </div>
      <div className={styles.graphWrapper}>{children}</div>
    </div>
  );
}
